Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ExclusionsType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.ExclusionsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class ExclusionsType

extends Object
implements Serializable

Java class for exclusionsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="exclusionsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="excludedParagraphList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="excludedParagraph" type="{urn:be:fgov:ehealth:samcivics:type:v1}excludedParagraphType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="unstructuredExclusionRuleList" type="{urn:be:fgov:ehealth:samcivics:type:v1}UnstructuredExclusionRuleListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ExclusionsType()`

Method Summary
`ExcludedParagraphList` | `getExcludedParagraphList()` Gets the value of the excludedParagraphList property.
`UnstructuredExclusionRuleListType` | `getUnstructuredExclusionRuleList()` Gets the value of the unstructuredExclusionRuleList property.
`void` | `setExcludedParagraphList(ExcludedParagraphList value)` Sets the value of the excludedParagraphList property.
`void` | `setUnstructuredExclusionRuleList(UnstructuredExclusionRuleListType value)` Sets the value of the unstructuredExclusionRuleList property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExclusionsType

    public ExclusionsType()

Method Detail

### getExcludedParagraphList

    public ExcludedParagraphList getExcludedParagraphList()

  Gets the value of the excludedParagraphList property.

  Returns:
    possible object is `ExcludedParagraphList`

### setExcludedParagraphList

    public void setExcludedParagraphList(ExcludedParagraphList value)

  Sets the value of the excludedParagraphList property.

  Parameters:
    `value` - allowed object is `ExcludedParagraphList`

### getUnstructuredExclusionRuleList

    public UnstructuredExclusionRuleListType getUnstructuredExclusionRuleList()

  Gets the value of the unstructuredExclusionRuleList property.

  Returns:
    possible object is `UnstructuredExclusionRuleListType`

### setUnstructuredExclusionRuleList

    public void setUnstructuredExclusionRuleList(UnstructuredExclusionRuleListType value)

  Sets the value of the unstructuredExclusionRuleList property.

  Parameters:
    `value` - allowed object is `UnstructuredExclusionRuleListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.